package com.revoapp.calendar.helper;

import com.revoapp.calendarapp.R;

import java.util.ArrayList;

public class DataHelper {

    private static final int[] color_array = new int[]{
            R.color.white,
            R.color.yellow,
            R.color.light_blue,
            R.color.orange,

            R.color.light_gray,
            R.color.light_green,
            R.color.blue,
            R.color.red,

            R.color.gray,
            R.color.green,
            R.color.violet,
            R.color.dark_red,

            R.color.black,
            R.color.dark_green,
            R.color.pink,
            R.color.brown,
    };

    private static final int[] shape_array = new int[]{
            R.drawable.pill_shape_1,
            R.drawable.pill_shape_2,
            R.drawable.pill_shape_3,
            R.drawable.pill_shape_4,
            R.drawable.pill_shape_7,
            R.drawable.pill_shape_6,
            R.drawable.pill_shape_5,
            R.drawable.pill_shape_8,
            R.drawable.pill_shape_9,
            R.drawable.pill_shape_10,
            R.drawable.pill_shape_11,
            R.drawable.pill_shape_12,
            R.drawable.pill_shape_13,
            R.drawable.pill_shape_14,
            R.drawable.pill_shape_15,
            R.drawable.pill_shape_16
    };

    private static final int[] shape_array_m = new int[]{
            R.drawable.pill_shape_1m,
            R.drawable.pill_shape_2m,
            R.drawable.pill_shape_3m,
            R.drawable.pill_shape_4m,
            R.drawable.pill_shape_7m,
            R.drawable.pill_shape_6m,
            R.drawable.pill_shape_5m,
            R.drawable.pill_shape_8m,
            R.drawable.pill_shape_9m,
            R.drawable.pill_shape_10m,
            R.drawable.pill_shape_11m,
            R.drawable.pill_shape_12m,
            R.drawable.pill_shape_13m,
            R.drawable.pill_shape_14m,
            R.drawable.pill_shape_15m,
            R.drawable.pill_shape_16m
    };

    private static final int[] shape_array_g = new int[]{
            R.drawable.pill_shape_1g,
            R.drawable.pill_shape_2g,
            R.drawable.pill_shape_3g,
            R.drawable.pill_shape_4g,
            R.drawable.pill_shape_7g,
            R.drawable.pill_shape_6g,
            R.drawable.pill_shape_5g,
            R.drawable.pill_shape_8g,
            R.drawable.pill_shape_9g,
            R.drawable.pill_shape_10g,
            R.drawable.pill_shape_11g,
            R.drawable.pill_shape_12g,
            R.drawable.pill_shape_13g,
            R.drawable.pill_shape_14g,
            R.drawable.pill_shape_15g,
            R.drawable.pill_shape_16g
    };

    private static final int[] category_icon_array = new int[]{
            ThemeHelper.get_icon50_menu_pill(),
            ThemeHelper.get_icon50_menu_event()
    };

    public static int[] get_color_array() {
        return color_array;
    }

    public static int[] get_category_icon_array() {
        return category_icon_array;
    }

    public static int[] get_shape_m_array() {
        return shape_array_m;
    }

    public static int[] get_shape_array() {
        return shape_array;
    }

    public static int[] get_shape_g_array() {
        return shape_array_g;
    }

    public static int get_color(int id) {
        return color_array[id];
    }

    public static int get_shape_m(int id) {
        return shape_array_m[id];
    }

    public static int get_shape(int id) {
        return shape_array[id];
    }

    public static int get_shape_g(int id) {
        return shape_array_g[id];
    }

    public static ArrayList<Integer> getCollection(int[] array) {
        ArrayList<Integer> arrayList = new ArrayList<Integer>();
        for (int i = 0; i < array.length; i++) {
            arrayList.add(array[i]);
        }

        return arrayList;
    }
}